View Issue Details

IDProjectCategoryView StatusLast Update
0008281VALENTINA STUDIODump (Excel)public2018-08-15 14:13
ReporterJuan DíazAssigned ToSergey Pashkov 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformINTELOSWindowsOS Version*
Product Version8.3.x 
Target Version8.3.xFixed in Version8.3.x 
Summary0008281: Excel dump result in more rows than the query result
DescriptionUsing valentina studio 8.31 or 8.2

any query result, when it has more than 1000 rows and it is dumped to excel, gives an excel file with hundreds or thounsands of duplicated rows.

see image attached.


Additional InformationCSV export works just fine.
TagsNo tags attached.
Working with DB:Not specified
Version of your DB

Activities

Juan Díaz

Juan Díaz

2018-06-07 14:43

reporter  

screenshot.PNG (62,097 bytes)
Sergey Pashkov

Sergey Pashkov

2018-06-07 14:59

developer   ~0010214

Hello Juan,

Was it export to XLSX or XLS?
What type of database was used?
Juan Díaz

Juan Díaz

2018-06-07 15:00

reporter   ~0010215

XLSX and Postgresql
Sergey Pashkov

Sergey Pashkov

2018-06-09 10:10

developer   ~0010216

Thank you, fix will be available in the version 8.3.2
Juan Díaz

Juan Díaz

2018-06-11 13:45

reporter   ~0010217

Glad to help. Thanks.-
Juan Díaz

Juan Díaz

2018-06-12 17:13

reporter   ~0010218

I am sorry, but the issue still there in version 8.3.2 released yesterday...
Sergey Pashkov

Sergey Pashkov

2018-06-12 19:37

developer   ~0010219

I can reproduce an issue, but only on Windows in XLSX format, and it's a bit different - not all records dumped.
Juan Díaz

Juan Díaz

2018-06-12 20:57

reporter   ~0010220

Last edited: 2018-06-12 21:00

View 2 revisions

I rolled back to 8.1 and it works ok again. I thinks it's happening since the progress bar was introduced... and yes in XLSX format only (but most needed)

Sergey Pashkov

Sergey Pashkov

2018-08-15 14:13

developer   ~0010375

Added code to ensure it is dumped without duplicates.
Fix will be available in the next version.

Issue History

Date Modified Username Field Change
2018-06-07 14:43 Juan Díaz New Issue
2018-06-07 14:43 Juan Díaz File Added: screenshot.PNG
2018-06-07 14:59 Sergey Pashkov Note Added: 0010214
2018-06-07 15:00 Juan Díaz Note Added: 0010215
2018-06-09 09:53 Sergey Pashkov Assigned To => Sergey Pashkov
2018-06-09 09:53 Sergey Pashkov Status new => confirmed
2018-06-09 10:10 Sergey Pashkov Note Added: 0010216
2018-06-09 10:10 Sergey Pashkov Status confirmed => resolved
2018-06-09 10:10 Sergey Pashkov Resolution open => fixed
2018-06-09 10:10 Sergey Pashkov Product Version 8.2.x => 8.3.x
2018-06-09 10:10 Sergey Pashkov Fixed in Version => 8.3.x
2018-06-09 10:10 Sergey Pashkov Target Version => 8.3.x
2018-06-11 13:45 Juan Díaz Note Added: 0010217
2018-06-11 13:45 Juan Díaz Status resolved => closed
2018-06-12 17:13 Juan Díaz Note Added: 0010218
2018-06-12 17:13 Juan Díaz Status closed => feedback
2018-06-12 17:13 Juan Díaz Resolution fixed => reopened
2018-06-12 19:37 Sergey Pashkov Note Added: 0010219
2018-06-12 19:37 Sergey Pashkov Status feedback => confirmed
2018-06-12 20:57 Juan Díaz Note Added: 0010220
2018-06-12 21:00 Juan Díaz Note Edited: 0010220 View Revisions
2018-08-15 14:13 Sergey Pashkov Note Added: 0010375
2018-08-15 14:13 Sergey Pashkov Status confirmed => resolved
2018-08-15 14:13 Sergey Pashkov Resolution reopened => fixed